package org.gcube.portlets.user.geoportaldataentry.client.ui.card;

import org.gcube.application.geoportalcommon.shared.geoportalconfig.GcubeProfileVO;
import org.gcube.portlets.user.geoportaldataentry.client.ConcessioniFormCardTitle;
import org.gcube.portlets.widgets.mpformbuilder.client.form.generic.CreateMetadataForm;
import org.gcube.portlets.widgets.mpformbuilder.shared.metadata.MetaDataProfileBean;

public class GeoNaFormCardModel {

	private MetaDataProfileBean metadataProfileBean;
	private CreateMetadataForm metadataForm;
	private ConcessioniFormCardTitle formCardTitle; // matching with metadata profile type
	private GcubeProfileVO gcubeProfile;

	public GeoNaFormCardModel() {

	}

	public GeoNaFormCardModel(MetaDataProfileBean metadataProfileBean, CreateMetadataForm metadataForm,
			ConcessioniFormCardTitle formCardTitle, GcubeProfileVO gcubeProfile) {
		super();
		this.metadataProfileBean = metadataProfileBean;
		this.metadataForm = metadataForm;
		this.formCardTitle = formCardTitle;
		this.gcubeProfile = gcubeProfile;
	}

	public MetaDataProfileBean getMetadataProfileBean() {
		return metadataProfileBean;
	}

	public void setMetadataProfileBean(MetaDataProfileBean metadataProfileBean) {
		this.metadataProfileBean = metadataProfileBean;
	}

	public CreateMetadataForm getMetadataForm() {
		return metadataForm;
	}

	public void setMetadataForm(CreateMetadataForm metadataForm) {
		this.metadataForm = metadataForm;
	}

	public ConcessioniFormCardTitle getFormCardTitle() {
		return formCardTitle;
	}

	public void setFormCardTitle(ConcessioniFormCardTitle formCardTitle) {
		this.formCardTitle = formCardTitle;
	}

	public GcubeProfileVO getGcubeProfile() {
		return gcubeProfile;
	}

	public void setGcubeProfile(GcubeProfileVO gcubeProfile) {
		this.gcubeProfile = gcubeProfile;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("GeoNaFormCardModel [metadataProfileBean=");
		builder.append(metadataProfileBean);
		builder.append(", metadataForm=");
		builder.append(metadataForm);
		builder.append(", formCardTitle=");
		builder.append(formCardTitle);
		builder.append(", gcubeProfile=");
		builder.append(gcubeProfile);
		builder.append("]");
		return builder.toString();
	}

}
